compute.GRM <-
function(gen.data, method="GenABEL") {
  if (method=="GenABEL"){
    gkins <- ibs(gen.data, weight="freq")
    GRM <- gkins
    GRM[t(lower.tri(gkins))]=0
    rm(gkins)
    GRM <- 2*(GRM + t(GRM) - diag(diag(GRM)))
  }
  if (method=="ZZt"){
    SNP.matrix <- scale(as.double(gen.data))
    m = ncol(SNP.matrix)
    markers.to.fit <- (1:m)[!is.na(colMeans(SNP.matrix))] 
    GRM <- tcrossprod(SNP.matrix[,markers.to.fit])/length(markers.to.fit)
    rm(SNP.matrix)
  }
  return(GRM)
}
